$(function () {
	function PrnBaseStatusViewModel(parameters) {
		var self = this;

		self.powerStateOn = false;
		self.printerStateOn = false;

		self.pwrBtnOff2On = ko.observable( ! self.powerStateOn );
		self.pwrBtnOn2Off = ko.observable( self.powerStateOn );
		self.prnBtnOff2On = ko.observable( ! self.printerStateOn);
		self.prnBtnOn2Off = ko.observable( self.printerStateOn);

		self.onDataUpdaterPluginMessage = function (plugin, data) {
			if (plugin != "PrnBaseStatus") {
				return;
			};
			self.powerStateOn = data.power;
			self.printerStateOn = data.printer;
			self.pwrBtnOff2On(! self.powerStateOn);
			self.pwrBtnOn2Off(self.powerStateOn);
			self.prnBtnOff2On(! self.printerStateOn);
			self.prnBtnOn2Off(self.printerStateOn);
		};
  };

  OCTOPRINT_VIEWMODELS.push({
    construct: PrnBaseStatusViewModel,
    elements: ["#navbar_plugin_PrnBaseStatus"],
  });
});